shiboken (1.2.2-2) unstable; urgency=medium

  [ Iain Lane ]
  * Rebuild for python3.5
    + Extend hack to skip tests which still fail for py3.5

  [ Dmitry Shachnev ]
  * Run tests for python3.5-dbg, not twice for python3.4-dbg

  [ Steve Langasek ]
  * Rename library packages for g++5 ABI transition (Closes: #791276)
  * Drop legacy support for g++ < 4.5, which breaks with g++ 5's version number
    (Closes: #778118)

 -- Didier Raboud <odyx@debian.org>  Mon, 24 Aug 2015 17:40:32 +0200

shiboken (1.2.2-1) unstable; urgency=medium

  * New 1.2.2 upstream release
    - Refresh patches

 -- Didier Raboud <odyx@debian.org>  Thu, 01 May 2014 17:45:03 +0200

shiboken (1.2.1-4) unstable; urgency=low

  * Mark the AutoDecRef destructor symbol as optional as it chokes on sparc

 -- Didier Raboud <odyx@debian.org>  Fri, 28 Feb 2014 09:56:55 +0100

shiboken (1.2.1-3) unstable; urgency=low

  [ Dmitry Shachnev ]
  * Drop refcounting extension, removed in Sphinx 1.2 (Closes: #735835)

  [ Didier Raboud ]
  * Blacklist some tests in the testsuite for the debug flavour of Python3.4
  * Re-order debian/copyright for CF-1.0 conformance
  * Bump Standards-Version to 3.9.5 without changes needed

 -- Didier Raboud <odyx@debian.org>  Thu, 27 Feb 2014 18:23:00 +0100

shiboken (1.2.1-2) unstable; urgency=low

  * Rewrite debian/copyright with CF-1.0 (Closes: #722504)
  * Correct the default python suffix for python3, make sure cmake's
    default is python2's

 -- Didier Raboud <odyx@debian.org>  Wed, 18 Sep 2013 20:07:19 +0200

shiboken (1.2.1-1) unstable; urgency=low

  * New 1.2.1 upstream release.

  [ Bart Martens ]
  * Update debian/watch

  [ Didier Raboud ]
  * Bump libshiboken SOVERSION to 1.2, update symbols
    - Add four new 1.2.1 symbols
  * Drop upstream-imported patches, refresh the other
  * Add patch to fix one test's exceptions' Python3 syntax
  * Drop the explicit dependencies of Libs and Cflags in pkg-config in
    favour of a Requires (LP: #1155595)
  * Drop obsolete source lintian override for dh 9
  * Replaced Nokia with Digia in debian/copyright
  * Delete static-override-fix.patch as it was fixed differently by
    upstream

 -- Didier Raboud <odyx@debian.org>  Tue, 10 Sep 2013 10:36:46 +0200

shiboken (1.1.2-4) unstable; urgency=low

  * Update patches to ensure that the Python3 builds occur against the
    correct Python3 libraries, also add the needed tweaks in
    debian/rules.
  * Fix watch file
  * Bump debhelper build-depends to 9, to align with compat.
  * Bump Standards-Version to 3.9.4 without changes needed.

 -- Didier Raboud <odyx@debian.org>  Wed, 12 Jun 2013 14:04:31 +0200

shiboken (1.1.2-3) unstable; urgency=low

  * Upload to unstable.

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Julian Taylor ]
  * Add python3.3-and-multiarch.patch to add python3.3 to list of python
    versions and deal with multiarch include paths
  * Add memleak-instead-crash.patch to avoid crash on dereferencing
    object in tests introduce an intentional memleak until we have a
    proper fix.
  * Add static-override-fix.patch to fix broken static/non-static
    overloads in python3.
  * update debian/shiboken-dbg.install and debian/rules makeshlibs
    override for new python abi suffixes not having "u".

  [ Didier Raboud ]
  * Import all upstream patches on top of 1.1.2, refresh affected
    patches.
  * Make the Python3 only build on >= 3.3, as the 3.2 build fails to
    have running tests.
  * Patch sample_overflow test to use int( instead of long( as per PEP-
    0237.

 -- Didier Raboud <odyx@debian.org>  Tue, 11 Jun 2013 10:49:54 +0200

shiboken (1.1.2-2) experimental; urgency=low

  * Add python{,3}-numpy-dbg to Build-Depends to have all tests pass.
  * Make dbg tests build-critical.

 -- Didier Raboud <odyx@debian.org>  Mon, 29 Oct 2012 10:06:19 +0100

shiboken (1.1.2-1) experimental; urgency=low

  * New 1.1.2 "Alaursa" release.
    - Add 6 1.1.2-specific symbols;

  * Update B-Ds:
    - add python{,3}-numpy to succeed all tests.

 -- Didier Raboud <odyx@debian.org>  Tue, 04 Sep 2012 08:47:15 +0200

shiboken (1.1.1-1) unstable; urgency=low

  * New 1.1.1 "Free Hugs" release.
    "Unified toolchain! No more GeneratorRunner and ApiExtractor, now
     you just need Shiboken to compile PySide."

  * Update B-Ds:
    - drop generatorrunner;
    - drop apiextractor;
    - add libxml2-dev (>= 2.6.32);
    - add libxslt1-dev (>= 1.1.19).
  * Drop generatorrunner depends.
  * Don't try to install the shiboken generatorrunner plugin which is no
    more built.
  * Update packages descriptions to drop the bit about apiextractor and
    generatorrunner.
  * Refresh patches.

 -- Didier Raboud <odyx@debian.org>  Fri, 20 Apr 2012 11:21:42 +0200

shiboken (1.1.0-2) unstable; urgency=low

  * Update one exported symbol to cope with size_t size differences between
    32-64 bit machines.

 -- Didier Raboud <odyx@debian.org>  Thu, 05 Jan 2012 10:45:20 +0100

shiboken (1.1.0-1) unstable; urgency=low

  * New 1.1.0 upstream release.
    - Bump libshiboken SOVERSION to 1.1, update symbols:
      * Remove one 1.0-specific symbol;
      * Add 55 1.1-specific symbols;
      * Put the SOVERSION as debian/rules parameter;
      * Rename libshiboken and libshiboken-py3 packages.
    - Bump B-Ds:
      * on generatorrunner to 0.6.16;
      * on apiextractor to 0.10.10.

 -- Didier Raboud <odyx@debian.org>  Tue, 03 Jan 2012 20:58:04 +0100

shiboken (1.0.10-1) unstable; urgency=low

  * New 1.0.10 upstream release.
  * Bump B-Ds:
    - on generatorrunner to 0.6.15;
    - on apiextractor to 0.10.9.

  * Upload the python3 flavours to unstable.
  * In clean, remove upstream .pyc files changed by the build process.

 -- Didier Raboud <odyx@debian.org>  Thu, 08 Dec 2011 11:37:59 +0100

shiboken (1.0.9-3+py3~exp1) experimental; urgency=low

  * Add patch from upstream #1037 to fix build on !64bits architectures.

 -- Didier Raboud <odyx@debian.org>  Mon, 31 Oct 2011 23:20:34 +0100

shiboken (1.0.9-3+py3~exp0) experimental; urgency=low

  * Also build for python3 versions:
    - Add python3-all-{dev,dbg} build-depends;
    - Add X-Python3-Version entry in debian/control;
    - Add a new libshiboken-py3-1.0 package;
    - Make sure symbols are also tracked for this new library;

 -- Didier Raboud <odyx@debian.org>  Thu, 27 Oct 2011 10:13:31 +0200

shiboken (1.0.9-3) unstable; urgency=low

  * Brown-paper bag: Fix symbols typo from previous upload.

 -- Didier Raboud <odyx@debian.org>  Wed, 26 Oct 2011 15:21:55 +0200

shiboken (1.0.9-2) unstable; urgency=low

  * Update symbols to cope with size_t size differences between 32-64
    bit machines.

 -- Didier Raboud <odyx@debian.org>  Wed, 26 Oct 2011 12:27:24 +0200

shiboken (1.0.9-1) unstable; urgency=low

  * New 1.0.9 upstream release.
  * Bump B-Ds:
    - on generatorrunner to 0.6.14;
    - on apiextractor to 0.10.8.

  * Add 12 new symbols for 1.0.9.
  * Update packaging to 1.0.9:
    - Refresh patches, add pythonversionindep.patch to allow picking a
      specific python version.
    - Make sure the picked pkg-config file is the default one.
    - Update the cmake configuration calls.

 -- Didier Raboud <odyx@debian.org>  Wed, 26 Oct 2011 10:56:09 +0200

shiboken (1.0.7-1) unstable; urgency=low

  * New 1.0.7 upstream release.
  * Bump B-Ds:
    - on generatorrunner to 0.6.13;
    - on apiextractor to 0.10.7.

  * Add two 1.0.7 symbols.
  * Update lintian overrides for the -dbg package.

 -- Didier Raboud <odyx@debian.org>  Thu, 22 Sep 2011 14:13:20 +0200

shiboken (1.0.6-1) unstable; urgency=low

  * New 1.0.6 upstream release.
    - Fixes the documentation generation.
    - Bump B-Ds:
      - on generatorrunner to 0.6.12;
      - on apiextractor to 0.10.6.

  * Add 9 new symbols for 1.0.6.

  * Don't dh_auto_install in -indep as it's not needed.
  * Use dh_sphinxdoc to handle the generated documentation.
    - Replace libjs-jquery by ${sphinxdoc:Depends} in Depends.
    - Drop shiboken-doc.links including explicit symlink to
      libjs-jquery.
    - Conditionally use dh_sphinxdoc when needed.
  * Multiarch-update the shiboken generatorrunner plugin path.
    - Bump B-D on generatorrunner to a multiarch'ed version.
  * Convert library to multiarch.
    - Bump B-D:
      - on debhelper to 8.9.3.
      - on cmake to 2.8.4+dfsg.1-3~.
    - Bump debhelper compatibility level to 9.
    - Override lintian warning about debhelper being too young.
    - Update *.install files to cope with new library paths.
    - Update .so symlinks paths.
    - Initialize D_H_MULTIARCH from dpkg-architectures, use it in the
      LIB_SUFFIX cmake variable
    - Add a Pre-Depends on multiarch-support to the libshiboken package.
    - Add Multi-Arch: same to the libshiboken package.

 -- Didier Raboud <odyx@debian.org>  Tue, 23 Aug 2011 14:59:16 +0200

shiboken (1.0.5-2) unstable; urgency=low

  * Update buildsystem (again) to cleanly separate arch-{all,indep}.
    - Bump compat and B-D on debhelper to 8.
    - Update rules to build documentation at the right moment.
  * Drop three noisy sparc symbols.

 -- Didier Raboud <odyx@debian.org>  Tue, 02 Aug 2011 17:23:03 +0200

shiboken (1.0.5-1) unstable; urgency=low

  * New 1.0.5 upstream "And no name was given that day" release
    - Bump B-Ds:
      - on apiextractor to 0.10.5.
    - Add 3 symbols to libshiboken1.0 symbol file.

 -- Didier Raboud <odyx@debian.org>  Fri, 22 Jul 2011 23:50:11 +0200

shiboken (1.0.4-2) unstable; urgency=low

  * Update symbols:
    - cope with size_t size differences between 32-64 bit machines.
    - sparc-specific updates.

 -- Didier Raboud <odyx@debian.org>  Fri, 24 Jun 2011 13:54:05 +0200

shiboken (1.0.4-1) unstable; urgency=low

  * New 1.0.4 upstream "The winter is coming" release
    - Bump B-Ds:
      - on generatorrunner to 0.6.11.
      - on apiextractor to 0.10.4.
  * Add 13 symbols for 1.0.4.

 -- Didier Raboud <odyx@debian.org>  Thu, 23 Jun 2011 16:56:20 +0200

shiboken (1.0.3-1) unstable; urgency=low

  * New 1.0.3 upstream release
    - Bump B-Ds:
      - on generatorrunner to 0.6.10.
      - on apiextractor to 0.10.3.

 -- Didier Raboud <odyx@debian.org>  Thu, 26 May 2011 17:25:19 +0200

shiboken (1.0.2-2) unstable; urgency=low

  * Bump Build-Depends on libsparsehash-dev to 1.6-1.1~ to circumvent
    #624819.
  * Update symbols:
    - Drop 6 symbols no more exported with g++ > 4.6.
    + Add 4 new template instantiation symbols.

 -- Didier Raboud <odyx@debian.org>  Mon, 02 May 2011 13:06:33 +0200

shiboken (1.0.2-1) unstable; urgency=low

  * New 1.0.2 upstream release
    - Bump B-Ds:
      - on generatorrunner to 0.6.9.
      - on apiextractor to 0.10.2.

  * Bump Standards-Version to 3.9.2 without changes needed.

 -- Didier Raboud <odyx@debian.org>  Sat, 30 Apr 2011 01:20:21 +0200

shiboken (1.0.1-3) unstable; urgency=low

  * Add a Python_ADDITIONAL_VERSIONS variable definition to cope with
    cmake 2.8.4.
  * Build for python2.7 too (no specific action taken).

 -- Didier Raboud <odyx@debian.org>  Mon, 18 Apr 2011 12:37:39 +0200

shiboken (1.0.1-2) unstable; urgency=low

  * Mark one symbol as optional to fix FTBFS on sparc and s390.

 -- Didier Raboud <odyx@debian.org>  Sat, 02 Apr 2011 15:50:32 +0200

shiboken (1.0.1-1) unstable; urgency=low

  * New 1.0.1 upstream release
    - Bump B-Ds:
      - on generatorrunner to 0.6.7
      - on apiextractor to 0.10.1

  * Use dh_python2.  
  * Drop $(shell indirections from debian/rules.
  * Don't fix links for the tests anymore; fixed.

 -- Didier Raboud <odyx@debian.org>  Fri, 01 Apr 2011 11:25:43 +0200

shiboken (1.0.0-2) unstable; urgency=low

  * Upload to unstable.

 -- Didier Raboud <odyx@debian.org>  Thu, 10 Mar 2011 14:35:24 +0100

shiboken (1.0.0-1) experimental; urgency=low

  * New 1.0.0 upstream release.
    - Bump B-D on generatorrunner to 0.6.7.

 -- Didier Raboud <odyx@debian.org>  Fri, 04 Mar 2011 13:26:14 +0100

shiboken (1.0.0~rc1-1) experimental; urgency=low

  * New 1.0.0~rc1 upstream release
    - Bump B-Ds: libapiextractor to 0.10.0-2~, generatorrunner to 0.6.6.
  * debian/watch: update to handle Release Candidates too.
  * Bump XS-Python-Version to >= 2.6.

 -- Didier Raboud <odyx@debian.org>  Fri, 18 Feb 2011 17:13:37 +0100

shiboken (1.0.0~beta5-1) experimental; urgency=low

  * New 1.0.0~beta5 upstream release
    - Bump libshiboken SOVERSION to 1.0
    - Bump B-Ds: libapiextractor to 0.9.4, generatorrunner to 0.6.5, Qt to
      4:4.7.0
    - Install upstream's manpage.
  * Patches:
    - Update the patch to allow better Python version specification.
    - Remove the allowMultipleShibokenVersions patch; somehow incorporated
      upstream.
  * Rewrite completely the symbols handling:
    - Split them to track them across various distributions and gcc versions.
    - Generate the symbols files for the concerned python versions
  * debian/watch: update to handle betas too.
  * Use my @d.o address and remove the DMUA flag.

 -- Didier Raboud <odyx@debian.org>  Mon, 14 Feb 2011 16:16:03 +0100

shiboken (0.5.1-3) unstable; urgency=low

  * Update symbols for GCC-4.5 and python2.7 (LP: #675729).

 -- Didier Raboud <didier@raboud.com>  Wed, 17 Nov 2010 19:11:12 +0100

shiboken (0.5.1-2) unstable; urgency=low

  * Fix convenience symlinks (Closes: #603088)

 -- Didier Raboud <didier@raboud.com>  Wed, 10 Nov 2010 22:34:53 +0100

shiboken (0.5.1-1) unstable; urgency=low

  * New 0.5.1 minor upstream release
    - Update symbols
    - Bump apiextractor and generatorrunner B-D versions
    - Update patches.
    - Update the documentation building process.
  
  * Bump Standards version to 3.9.1.0

 -- Didier Raboud <didier@raboud.com>  Tue, 19 Oct 2010 20:59:49 +0200

shiboken (0.5.0-1) UNRELEASED; urgency=low

  * New 0.5.0 upstream release
    - Bump libshiboken SOVERSION to 0.5
    - Add the new 0.5 symbols.

  * Patches
    - u_1eda671_fix_type_resolver_algorithm.patch
      (Remove, was from upstream)
    - u_46ab0d6_generated_original_name_with_star_for_object_classes.patch
      (Remove, was from upstream)
    + allowCustomShibokenPostfix.patch
      (Refresh)

  * Bump the apiextractor B-D.

 -- Didier Raboud <didier@raboud.com>  Sun, 26 Sep 2010 23:48:50 +0200

shiboken (0.4.0-1~exp1) experimental; urgency=low

  * Patches: 
    - u_46ab0d6_generated_original_name_with_star_for_object_classes.patch
      Import from upstream for bug #311.
    - u_1eda671_fix_type_resolver_algorithm.patch: Import from upstream for
      bug #243.

  * Bump libapiextractor B-D to 0.7.0-1~exp2, to correct qtgui_qwidget test
    segfault in pyside, together with the above patch.
  * Update symbols file.

  * Make sure DMUA is set (correct 0.3.2-1 changelog to match real uploads).

 -- Didier Raboud <didier@raboud.com>  Fri, 03 Sep 2010 10:29:27 +0200

shiboken (0.4.0-1~exp0) experimental; urgency=low

  * New 0.4.0 upstream release
    - Bump libshiboken SONAME to 0.4
    - Bump libapiextractor B-D to 0.7
    - Bump generatorrunner B-D to 0.6
    - Update install and symbol files

  * Patches:
    - u_4bab9a8_fix_Hurd_FTBFS.patch     Drop; was from upstream.
    - u_2f7c242_fidDebugBuild.patch      Drop; was from upstream.
    - u_1b40948_fix_protected_test.patch Drop; was from upstream.
    - use_original_sparsehash.patch      Drop; somehow included upstream.
    - fix_tests.patch                    Drop; no more needed.


 -- Didier Raboud <didier@raboud.com>  Wed, 04 Aug 2010 14:23:00 +0200

shiboken (0.3.2-3) unstable; urgency=low

  * Add allowCustomShibokenPostfix.patch to allow choice of python-specific
    version.

  * Remove custom cmake files in favour of cmake-data's.
    - Remove debian/cmake/*.
    - Bump cmake B-D to 2.8.2
    - Adapt debian/rules.
    - Update debian/copyright to remove the mentions of the hand-patched
      files.

  * Bump Standards to 3.9.0.0

 -- Didier Raboud <didier@raboud.com>  Thu, 22 Jul 2010 14:57:49 +0200

shiboken (0.3.2-2) unstable; urgency=low

  * Add debug-built versions to fix PySide's debug build
    - Import u_2f7c242_fidDebugBuild.patch from upstream
    - Add lintian overrides

  * Fix the Hurd FTBFS by importing u_4bab9a8_fix_Hurd_FTBFS.patch from
    upstream.

 -- Didier Raboud <didier@raboud.com>  Thu, 24 Jun 2010 16:49:50 +0200

shiboken (0.3.2-1) unstable; urgency=low

  [ Didier Raboud ]
  * New 0.3.2 upstream release
    - Bump B-D on apiextractor and generatorrunner.
    - Add {set,get}TypeUserData symbols.

  * Patches:
    - u_ftbfs_missing_file_44071543.patch: Remove, included upstream.
    - debian_buildoptions.patch: Remove, somehow included upstream.
    × Refresh others.

  * Make docs in binary-indep.

  [ Piotr Ożarowski ]
  * Set DMUA flag to yes

 -- Didier Raboud <didier@raboud.com>  Wed, 09 Jun 2010 12:11:42 +0200

shiboken (0.3.1-3) unstable; urgency=low

  * Patch upstream CMakeLists.txt to use the provided buildflags
    - Drop ftbfs_mips.patch
    - Add debian_buildoptions.patch
    This should fix the mips{,el} FTBFSes.

 -- Didier Raboud <didier@raboud.com>  Fri, 28 May 2010 13:16:16 +0200

shiboken (0.3.1-2) unstable; urgency=low

  * shiboken depends on generatorrunner (Closes: #581215)

  * Fix various FTBFSes:
    - On mips{,el} by adding ftbfs_mips.patch to use
      hash-style=both on all arches.
    - On ia64, powerpc and s390 by stealing
      u_ftbfs_missing_file_44071543.patch from upstream to fix
      declaration of class SimpleFile.

 -- Didier Raboud <didier@raboud.com>  Thu, 27 May 2010 18:02:34 +0200

shiboken (0.3.1-1) unstable; urgency=low

  * New 0.3.1 upstream release
    - Bump libshiboken SONAME to 0.3
    - Update symbols
    - Upload to unstable as dpkg-dev is now available
  * Patches
    + use_soname_from_version.patch:  remove, incorporated upstream.

 -- Didier Raboud <didier@raboud.com>  Thu, 06 May 2010 11:59:58 +0200

shiboken (0.2.0-1) experimental; urgency=low

  * Initial upload (Closes: #569173).

  * Add symbols for libshiboken0 using (c++) filter.
  * Build for multiple python versions.
  * Build -doc package.
  * Update Build-Depends.
  * Enable the build-tests.
  * Add debian/watch file.
  * Add help2man manpage for shiboken.
  * Patches
    + use_original_sparsehash.patch:  Don't use embedded sparsehash.
    + fix_tests.patch:                Work for different python versions.
    + use_soname_from_version.patch:  Force a SONAME (MAJOR_version) to
                                      libshiboken

 -- Didier Raboud <didier@raboud.com>  Tue, 20 Apr 2010 14:21:43 +0200
